Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.dtdparser.node
Class EntityDTDNode

    java.lang.Object
      |
      +--com.japisoft.dtdparser.node.DTDNode
            |
            +--com.japisoft.dtdparser.node.EntityDTDNode

public class EntityDTDNode
extends DTDNode

Created Sat Feb 15 11:21:34 2003

Comments

Version:
  1.0
Author:
  your user name (your user mail)
See Also:
  `DTDNode`

Field Summary
`static int` | `INTERNAL_ENTITY`
`static int` | `PUBLIC_ENTITY`
`static int` | `SYSTEM_ENTITY`

Fields inherited from class com.japisoft.dtdparser.node.DTDNode
`ATTRIBUTE, COMMENT, ELEMENT, ELEMENT_REF, ELEMENT_SET, ENTITY, ROOT`

Constructor Summary
`EntityDTDNode()`
`EntityDTDNode(java.lang.String name, java.lang.String value)`

Method Summary
`java.lang.String` | `getName()`
`int` | `getType()`
`java.lang.String` | `getValue()`
`boolean` | `isParameter()`
`void` | `setName(java.lang.String name)` Set the name of the entity
`void` | `setParameter(boolean parameter)` Set this entity as parameter : example <!
`void` | `setType(int type)` Set the entity nature : INTERNAL, PUBLIC or SYSTEM
`void` | `setValue(java.lang.String value)` Set the value of the entity
`java.lang.String` | `toString()`

Methods inherited from class com.japisoft.dtdparser.node.DTDNode
`addDTDNode, getDTDNodeAt, getDTDNodeCount, getDTDNodeForType, getDTDNodeIndex, getDTDNodes, getDTDParentNode, getNodeComment, getNodeType, getRoot, isAttribute, isComment, isElement, isElementRef, isElementSet, isEmpty, isEntity, isRoot, removeDTDNode, setDTDParentNode, setNodeComment, setNodeType, setRoot`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INTERNAL_ENTITY

    public static final int INTERNAL_ENTITY

See Also:
  Constant Field Values

### SYSTEM_ENTITY

    public static final int SYSTEM_ENTITY

See Also:
  Constant Field Values

### PUBLIC_ENTITY

    public static final int PUBLIC_ENTITY

See Also:
  Constant Field Values

Constructor Detail

### EntityDTDNode

    public EntityDTDNode()

### EntityDTDNode

    public EntityDTDNode(java.lang.String name,
                         java.lang.String value)

Method Detail

### setParameter

    public void setParameter(boolean parameter)

  Set this entity as parameter : example <!ENTITY A % "B">

### isParameter

    public boolean isParameter()

  Returns:
    true if this entity is a parameter for other DTD part

### setType

    public void setType(int type)

  Set the entity nature : INTERNAL, PUBLIC or SYSTEM

### getType

    public int getType()

  Returns:
    the entity nature

### setName

    public void setName(java.lang.String name)

  Set the name of the entity

### getName

    public java.lang.String getName()

  Returns:
    the name of the entity

### setValue

    public void setValue(java.lang.String value)

  Set the value of the entity

### getValue

    public java.lang.String getValue()

  Returns:
    the value of the entity

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD